Shared Folders

You can use Shared Folders to manage shared resources over a network. With Shared Folders you can control user access permissions, session activity, and shared resource properties.

  • For tips about using Shared Folders, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Best practices

  • Set permissions using NTFS file system permissions or access control.

    • NTFS and access control provide more security than shared folder permissions alone.

    For more information, see:

    • NTFS
    • Access Control
  • Assign permissions to groups, not user accounts.

    • Assigning permissions to groups simplifies management of shared resources, because you then need to deny permissions only when it is necessary to override the permissions that are already applied. In most cases, you should deny permissions only when it is necessary to deny them to a specific user in a group. To deny all access to a shared resource, deny the Full Control permission.

  • Assign the most restrictive permissions that still allow users to perform required tasks.

    • For example, if users need only to read information in a folder, and they will never delete, create, or change files, assign the Read permission.

  • Organize resources so that objects with the same security requirements are located within a folder.

    • For example, if users require the Read permission for several application folders, store the application folders within the same parent folder. Then, share the parent folder rather than sharing each individual application folder. Note that if you need to change the location of an application, you must reinstall it.

  • Use intuitive, short labels for shared resources.

    • This ensures that the resources can be easily recognized and accessed by users and all client operating systems.

  • To prevent problems with accessing network resources, do not deny permissions to the Everyone group.

    • The Everyone group includes anyone who has access to network resources, including the Guest account, with the exception of the Anonymous Logon group. For more information, see:

    • Default security settings
    • Differences in default security settings
  • When sharing applications, organize all shared applications in one folder.

    • Organizing all applications in one shared folder simplifies administration, because there is only one location to install and upgrade software.

  • Limit membership in, and grant the Full Control permission to, the Administrators group.

    • This allows administrators to manage application software and control user permissions.

  • Restrict permissions for the Everyone group, which includes anyone who has access to network resources, including the Guest account.

    • Instead, grant Read access to the Users group, which includes only user accounts that you create.

  • Use centralized data folders.

    • Centralized data folders allow you to manage resources and back up data easily.

  • Use a firewall.

    • It is especially important to use a firewall on computers running Windows XP Professional that are not joined to a domain and on computers running Windows XP Home Edition, to protect shared resources from access via the Internet.

  • Grant access permissions through domain user accounts.

    • On computers running Windows XP Professional that are connected to a domain, grant access to shared resources through domain users accounts rather than through local user accounts. This centralizes the administration of shared resource permissions.


How to...

  • Share a folder or drive
  • Set permissions on a shared resource
  • View information about shared resources
  • Manage properties of a shared resource
  • Disconnect a user or users
  • Close an open file or resource
  • Stop sharing a resource
  • Limit the number of users of a shared resource
  • Set caching options for a shared resource


Share a folder or drive

Microsoft Windows graphic

To share a folder or drive

Using Shared Folders

  1. XOX
  2. In the console tree, click Shares.

    3. Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Shares
  3. On the Action menu, click New File Share.
  4. Follow the steps in Create Shared Folder.

    You will be prompted to select a folder or drive, type a new share name and description of the shared resource, and set permissions. After you provide this information, click Finish.

Notes

  • XOX
  • You must be a member of the Administrators or Power Users group to use Shared Folders.

Using Windows Explorer

Open Windows Explorer, and then locate the shared folder or drive to which you want to add a new share name.

If you are logged on to a domain, do the following:

  1. Right-click the shared folder or drive, and then click Sharing and Security.
  2. Click Share this folder.
  3. Set any other options that you want, and then click OK.

If you are not logged on to a domain or if you are running Windows XP Home Edition, do the following:

  1. Right-click the shared folder or drive, and then click Properties.
  2. On the Sharing tab, click Share this folder on the network.
  3. Set any other options that you want, and then click OK.

Note

  • XOX

Using a command line

  1. Open Command Prompt.
  2. Type:

    net share sharename=drive:path

Value | Description
net share | Creates, deletes, or displays shared resources.
sharename=drive:path | The network name of the shared resource and the absolute path of its location.

Notes

  • XOX
  • To view the complete syntax for this command, at a command prompt, type:

    net help share

Notes

  • You can use Shared Folders to manage shared resources on both local and remote computers. Windows Explorer and the command line allow you to manage shared resources on your local computer only.
  • You can hide the shared resource from users by typing $ as the last character of the shared resource name. Users can map a drive to this shared resource, but they cannot see the shared resource when they browse to it in Windows Explorer or in My Computer, or when they use the net view command on the remote computer. For more information about this command, see Net view.
  • You must have the appropriate permissions to complete this procedure.

Related Topics


Set permissions on a shared resource

Microsoft Windows graphic

To set permissions on a shared resource

Using Shared Folders

  1. XOX
  2. In the console tree, click Shares.

    3. Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Shares
  3. Right-click the shared resource for which you want to set permissions, and then click Properties.
  4. On the Share Permissions tab, select the following options that you want, and then click OK:
    • Click Add to grant a user or group permission for a shared resource. In the Select Users, Computers, or Groups dialog box, look for or type the user, computer, or group name, and then click OK.
    • Click Remove to revoke access to a shared resource.
    • In Permissions for <group or user>, select the Allow or Deny check boxes to set individual permissions for the selected user or group.

Notes

  • XOX
  • You must be a member of the Administrators or Power Users group to use Shared Folders.

Using Windows Explorer

  1. Open Windows Explorer, and then locate the shared folder or drive to which you want to add a new share name.
  2. Right-click the shared folder or drive, and then click Sharing and Security.
  3. On the Sharing tab, do one of the following:
    • If you are logged on to a domain, click Permissions. In the Permissions for <folder or drive> dialog box, select the options that you want, and then click OK.
    • If you are not logged on to a domain, clear the Allow other users to change my files check box.

Note

  • XOX

Notes

  • You can use Shared Folders to manage shared resources on both local and remote computers. Windows Explorer and the command line allow you to manage shared resources on your local computer only.
  • When you assign permissions, it is usually easier to assign permissions to groups and then add users to groups, rather than assigning identical permissions to a number of individual users.
  • Permissions for a shared resource apply only to users who access the resource through the share. They do not apply to users who gain access to the resource at the computer where the resource is stored.

Related Topics


View information about shared resources

Microsoft Windows graphic

To view information about shared resources

Using Shared Folders

  1. XOX
  2. In the console tree, click one of the following folders:
    • To view information about the shared resources on the selected computer, click Shares.
    • To view information about open sessions, click Sessions.
    • To view information about open files, click Open Files.

    Where?

    • Computer Management
    • System Tools
    • Shared Folders

Notes

  • XOX
  • You must be a member of the Administrators or Power Users group to use Shared Folders.

Using a command line

  1. Open Command Prompt.
  2. Type one of the following:

    net share

    net session

    net file

Value | Description
net share | Displays information about all shared resources on the local computer.
net session | Displays information about all open sessions between the local computer and other computers on the network.
net file | Displays information about all open files on shared resources.

Notes

  • XOX
  • To view the complete syntax for these commands, at a command prompt, type one of the following:

    net help share

    net help session

    net help file

Notes

  • When you administer another computer remotely, your connection appears as an open named pipe. It cannot be closed.
  • Only files that are opened on the target computer are visible.

Related Topics


Manage properties of a shared resource

Microsoft Windows graphic

To manage properties of a shared resource

Using Shared Folders

  1. XOX
  2. In the console tree, click Shares.

    3. Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Shares
  3. Right-click the shared resource whose properties you want to manage, and then click Properties.
  4. Make the changes that you want, and then click OK.

Notes

  • XOX
  • You must be a member of the Administrators or Power Users group to use Shared Folders.

Using Windows Explorer

  1. Open Windows Explorer, and then locate the shared folder or drive that you want to manage.
  2. Right-click the shared folder or drive, and then click Sharing and Security.
  3. Make the changes that you want, and then click OK.

Note

  • XOX

Notes

  • You can use Shared Folders to manage shared resources on both local and remote computers. Windows Explorer and the command line allow you to manage shared resources on your local computer only.
  • You must have the appropriate permissions to complete this procedure.

Related Topics


Disconnect a user or users

Microsoft Windows graphic

To disconnect a user or users

Using Shared Folders

  1. XOX
  2. In the console tree, click Sessions.

    3. Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Sessions
  3. Do one of the following:
    • To disconnect all users, on the Action menu, click Disconnect All Sessions.
    • To disconnect one user, in the details pane right-click the user name, and then click Close Session.

Note

  • XOX
  • You must be a member of the Administrators or Power Users group to use Shared Folders.
  • When you administer another computer remotely, your connection appears as an open named pipe. It cannot be closed.

Using a command line

  1. Open Command Prompt.
  2. Type:

    net session \\computername /delete

Value | Description
net session | Lists or disconnects the sessions between a local computer and the clients that are connected to it.
\\computername | Identifies the computer for which you want to list or disconnect sessions.
/delete | Ends the computer's session with \\computername, and closes all open files on the computer for the session. If \\computername is omitted, all sessions on the local computer are canceled.

Notes

  • XOX
  • To view the complete syntax for this command, at a command prompt, type:

    net help session

Caution

  • If you disconnect users who are accessing shared resources, they might lose data. You should warn connected users before you disconnect them.

Note

  • You must have the appropriate permissions to complete this procedure.

Related Topics


Close an open file or resource

Microsoft Windows graphic

To close an open file or resource

Using Shared Folders

  1. XOX
  2. In the console tree, click Open Files.

    3. Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Open Files
  3. Do one of the following:
    • To disconnect all open resources, on the Action menu click Disconnect All Open Files.
    • To disconnect one open file or resource, in the details pane right-click the file name, and then click Close Session.

Notes

  • XOX
  • You must be a member of the Administrators or Power Users group to use Shared Folders.

Using a command line

  • Open Command Prompt
  • Type:

    net file ID /close

Value | Description
net file | Displays the names of all open shared files on a server and the number of file locks, if any, on each file.
ID | The dynamically assigned ID of the shared resource.
/close | Closes the shared resource and removes file locks. Type this command from the server where the file is shared.

Notes

  • XOX
  • To view the complete syntax for this command, at the Command Prompt, type:

    net help file

Caution

  • If you close open files or resources, users might lose data. You should warn connected users before you close an open file or resource.

Notes

  • You can use Shared Folders to manage shared resources on both local and remote computers. Windows Explorer and the command line allow you to manage shared resources on your local computer only.
  • When you administer another computer remotely, your connection appears as an open named pipe. It cannot be closed.
  • You must have the appropriate permissions to complete this procedure.

Related Topics


Stop sharing a resource

Microsoft Windows graphic

To stop sharing a resource

Using Shared Folders

  1. XOX
  2. In the console tree, click Shares.

    Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Shares
  3. In the details pane, right-click the folder that you want to stop sharing, and then click Stop Sharing.

Notes

  • XOX
  • You must be a member of the Administrators or Power Users group to use Shared Folders.

Using Windows Explorer

Open Windows Explorer, and then locate the shared folder or drive that you want to stop sharing.

If you are logged on to a domain, do the following:

  1. Right-click the shared folder or drive, and then click Sharing and Security.
  2. To stop sharing all instances of the shared resource, click Do not share this folder. To stop sharing only one instance of a folder or drive that is shared multiple times, in Share name click the share that you want to remove, click Remove Share, and then click OK.

If you are not logged on to a domain or if you are running Windows XP Home Edition, do the following:

  1. Right-click the shared folder or drive, and then click Properties.
  2. On the Sharing tab, clear the Share this folder on the network check box.

Note

  • XOX

Using a command line

  1. Open Command Prompt.
  2. Type:

    net share sharename /delete

Value | Description
net share | Creates, deletes, or displays shared resources.
sharename | The network name of the shared resource.
/delete | Stops sharing the resource.

Notes

  • XOX
  • To view the complete syntax for this command, at the Command Prompt, type:

    net help share

Caution

  • If you stop sharing a folder to which users are connected, they might lose data. You might want to warn connected users before you stop sharing a folder.
  • In most cases, it is recommended that you not stop sharing one of the special shares created by the system, for example, A$, B$, C$, ADMIN$, IPC$, NETLOGON, SYSVOL, or PRINT$.

Note

  • You can use Shared Folders to manage shared resources on both local and remote computers. Windows Explorer and the command line allow you to manage shared resources on your local computer only.

Related Topics


Limit the number of users of a shared resource

Microsoft Windows graphic

To limit the number of users of a shared resource

Using Shared Folders

  1. XOX
  2. In the console tree, click Shares.

    3. Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Shares
  3. In the details pane, right-click the shared folder or drive for which you want to limit the number of users, and then click Properties.
  4. Under User Limit, click Maximum Allowed, and then click OK, or click Allow.

    If you click Allow, type or select a maximum number of users in the Users box, and then click OK.

Notes

  • XOX
  • The maximum number of users allowed is limited by software licensing limits. Software licensing limits preempt any limits that you set in Shared Folders.
  • You must be a member of the Administrators or Power Users group to use Shared Folders.

Using Windows Explorer

  1. Open Windows Explorer, and then locate the shared folder or drive for which you want to limit the number of users.
  2. Right-click the shared folder or drive, and then click Sharing and Security.
  3. Under User limit, click Maximum allowed, and then click OK, or click Allow.

    If you click Allow, type or select a maximum number of users in the Users box, and then click OK.

Notes

  • XOX
  • The maximum number of users allowed is limited by software licensing limits. Software licensing limits preempt any limits that you set in Shared Folders.
  • You cannot use Windows Explorer to complete this task on computers that are running Windows XP Home Edition or on computers that are running Windows XP Professional that are not joined to a domain.

Using a command line

  1. Open Command Prompt.
  2. Type:

    net share sharename /users:number

Value | Description
net share | Creates, deletes, or displays shared resources.
sharename | The network name of the shared resource and its absolute path.
/users:number | Sets the maximum number of users who can simultaneously access the shared resource.

Notes

  • XOX
  • To view the complete syntax for this command, at the Command Prompt, type:

    net help share

Notes

  • You can use Shared Folders to manage shared resources on both local and remote computers. Windows Explorer and the command line allow you to manage shared resources on your local computer only.
  • Software licensing limits preempt any limits that you set in Shared Folders.

Related Topics


Set caching options for a shared resource

Microsoft Windows graphic

To set caching options for a shared resource

Using Shared Folders

  1. XOX
  2. In the console tree, click Shares.

    3. Where?

    • Computer Management
    • System Tools
    • Shared Folders
    • Shares
  3. Right-click the shared resource for which you want to set caching options, and then click Properties.
  4. On the General tab, click Caching. If you want to disable caching, clear the Allow caching of files in this shared folder check box, and then click OK. If you want to allow caching, leave this check box selected.
  5. If the check box is selected, in the Setting box, click one of the following, and then click OK:
    • Click Automatic caching of documents to make every file that a user opens available offline.
    • Click Automatic caching of programs and documents to provide offline access to shared resources that contain read-only files or applications that run from the network.
    • Click Manual caching of documents to require users to specify the files that they want to be available when they work offline.

Notes

  • XOX
  • You must be a member of the Administrators or Power Users group to use Shared Folders.

Using Windows Explorer

  1. Open Windows Explorer, and then locate the shared folder or drive for which you want to set caching options. (You might need to share the resource before proceeding.)
  2. Right-click the shared folder or drive, and then click Sharing and Security.
  3. On the Sharing tab, click Caching. If you want to disable caching, clear the Allow caching of files in this shared folder check box, and then click OK. If you want to allow caching, leave this check box selected.
  4. If the check box is selected, in the Setting box click one of the following, and then click OK:
    • Click Automatic caching of documents to make every file that a user opens available offline.
    • Click Automatic caching of programs and documents to provide offline access to shared resources that contain read-only files or applications that run from the network.
    • Click Manual caching of documents to require users to specify the files that they want to be available when they work offline.

Notes

  • XOX
  • You cannot use Windows Explorer to complete this task on computers that are running Windows XP Home Edition or on computers that are running Windows XP Professional that are not joined to a domain.

Using a command line

  1. Open Command Prompt.
  2. Type:

    net share sharename /cache:manual

    or

    net share sharename /cache:documents

    or

    net share sharename /cache:programs

    or

    net share sharename /cache:none

Value | Description
net share | Manages shared resources.
sharename | The network name of the shared resource in drive:path format. Type net share with a share name only to display information about that share.
/cache:manual | Enables manual caching of documents and programs from the specified shared resource.
/cache:documents | Enables automatic caching of documents from the specified shared resource.
/cache:programs | Enables automatic caching of documents and programs from the specified shared resource.
/cache:none | Disables caching from the specified shared resource.

Notes

  • XOX
  • To view the complete syntax for this command, at Command Prompt, type:

    net help share

Notes

  • You must have the appropriate permissions to complete this procedure.
  • When you create a new shared resource, caching is allowed by default.

Related Topics


Concepts

This section provides general background information about Shared Folders.

  • Shared Folders overview
  • Understanding Shared Folders
  • Administering Shared Folders


Shared Folders overview

You can use Shared Folders to view a summary of connections and resource use for local and remote computers. Shared Folders replaces resource-related components in the Windows NT 4.0 Server Control Panel.

With Shared Folders, you can:

  • Create, view, and set permissions for shared resources.
  • View a list of all users who are connected over a network to the computer, and disconnect one or all of them.
  • View a list of files that have been opened by remote users, and close one or all of the open files.

The subfolders in Shared Folders contain information, arranged in columns, about all the shared resources, sessions, and open files on the computer. The column headings in these folders are defined as follows:

Shares

Shares contains the following information about the shared resources that are available on the computer:

Column | Description
Shared Folder | Lists the shared resources that are available on the computer. In some cases, a connection to a printer is monitored here as a connection to a named pipe. A shared resource could be a shared directory, a named pipe, a shared printer, or a resource of an unrecognized type.
Shared Path | Displays the path to the shared resource.
Type | Displays the type of network connection: Windows, NetWare, or Macintosh.
# Client Connections | Displays the number of users who are connected to the shared resource.
Comment | Describes the shared resource.

Sessions

Sessions contains the following information about all the network users who are connected to the computer:

Column | Description
User | Lists the network users who are connected to the computer.
Computer | Displays the computer name of the connected user's computer.
Type | Displays the type of network connection: Windows, NetWare, or Macintosh.
# Open Files | Displays the number of resources that have been opened on this computer by this user.
Connected Time | Displays the hours and minutes that have elapsed since this session was established.
Idle Time | Displays the hours and minutes that have elapsed since this user last initiated an action.
Guest | Specifies whether this user is connected to this computer as a guest (displayed as Yes or No).

Open Files

Open Files contains the following information about all the open files on the computer:

Column | Description
Open File | Lists the names of open files. An open file could be a file, a named pipe, a print job in a print spooler, or a resource of an unrecognized type. In some cases, a print job is shown here as an open named pipe.
Accessed By | The name of the user who has opened the file or accessed the resource.
Type | The type of network connection: Windows, NetWare, or Macintosh.
# Locks | Displays the number of locks on the resource.
Open Mode | Displays the permission that was granted when the resource was opened.

Note

  • You must be a member of the Administrators or Power Users group to use Shared Folders.


Understanding Shared Folders

This section covers:

  • Shared resource permissions
  • Caching options for shared resources
  • Special shared resources


Shared resource permissions

A shared resource provides access to applications, data, or a user's personal data. You can grant or deny permissions for each shared resource.

In general, it is best to set permissions using the NTFS file system or access control. The more restrictive permissions will always apply. For more information about best practices for working with Shared Folders, see Best practices.

Shared resource permissions:

  • Apply only to users who gain access to the resource over the network. They do not apply to users who gain access to the resource at the computer where the resource is stored.
  • Apply to all files and folders within the shared resource. For this reason, shared resource permissions provide less detailed security than NTFS permissions.
  • Are the only way to secure network resources on FAT and FAT32 volumes, because NTFS permissions are not available on FAT or FAT32 volumes.
  • Specify the maximum user access allowed over the network, for users who access the resource through the share. This is in addition to the security provided by the NTFS file system.

You can apply the following types of access permissions to shared folders or drives.

    Read

    Read permission allows:

    • Viewing file names and subfolder names
    • Traversing to subfolders
    • Viewing data in files
    • Running program files

    Change

    Change permission allows all Read permissions, plus:

    • Adding files and subfolders
    • Changing data in files
    • Deleting subfolders and files

    Full Control

    Full Control is the default permission that is applied to any new shares that you create. This permission is assigned to the Everyone group when you share a resource. Full Control allows all Read and Change permissions, plus:

    • Changing permissions (NTFS files and folders only)
    • Taking ownership (NTFS files and folders only)


Caching options for shared resources

You can use Offline Files to work with shared resources even when you are not connected to the network. When you create a shared resource, you can specify if and how files within the shared resource are "cached" (stored) locally when they are accessed by others.

To make shared network resources available offline, Offline Files stores a version of them in a reserved portion of disk space on your computer, called a file system cache. The computer can access this cache whether or not the computer is connected to the network.

You can choose one of the following caching options for each shared resource:

No caching

This options prevents users from storing local copies of shared files.

Automatic caching of documents

Automatic caching of documents allows every file that someone opens from your shared folder to be available offline. Automatic caching does not make every file in your shared folder available offline, only those files that are opened.

Automatic caching of programs and documents

Automatic caching of programs and documents allows offline access to shared folders that contain files that are not to be changed. This caching option can help reduce network traffic, because programs that are stored offline can be accessed locally.

When you click Automatic caching of programs and documents, be sure to restrict permissions on the files that are contained in the shared folder to read-only access.

Manual caching of documents

Manual caching of documents provides offline access only to those files that someone who is using your shared folder specifically (or manually) identifies. This caching option is ideal for a shared network folder that contains files that are to be accessed and modified by several people. This is the default option when you set up a shared folder for use offline.

For more information about Offline Files, see Offline Files overview. For more information about how to set caching options, see To set caching options for a shared resource.


Special shared resources

Depending on the configuration of your computer, some or all of the following special shared resources are created for administrative and system use. These shared resources are not visible from My Computer, but you can view them by using Shared Folders. In most cases, you should not delete or modify special shared resources.

You may see some or all of the following administrative shared resources in the Shares folder:

drive letter$

A shared resource that enables administrators to connect to the root directory of a drive. The root directories appear in the Shared Folder column in the Shares folder as A$, B$, C$, D$, and so on. For example, you can access drive D by clicking D$.

ADMIN$

A resource that is used during remote administration of a computer. The path of this resource is always the path to the system root (the directory in which the operating system is installed: for example, C:\Windows).

IPC$

A resource that shares the named pipes that are essential for communication between programs. You use IPC$ during remote administration of a computer and when you view a computer's shared resources. You cannot delete this resource.

NETLOGON

A required resource that is used on domain controllers. Removing this share causes a loss of functionality on all clients that the domain controller serves.

SYSVOL

A required resource that is used on domain controllers. Removing this share causes a loss of functionality on all clients that the domain controller serves.

PRINT$

A resource that is used during remote administration of printers.

FAX$

A shared folder on a server that is used by fax clients in the process of sending a fax. The shared folder is used to temporarily cache files and access cover pages that are stored on the server.

Notes

  • When you restart the Server service, these special shared resources are automatically recreated. For more information about services, see Services.
  • Some of these shared resources are not created on Windows XP Home Edition.


Administering Shared Folders

This section covers:

  • Securing shared resources
  • Managing Shared Folders from the command line


Securing shared resources

All drives on your computer, such as drive C or drive D, are automatically shared using the syntax drive letter$, such as C$ or D$. These drives do not appear with the hand icon that indicates sharing in My Computer or Windows Explorer, and they are also hidden when users connect to your computer remotely.

However, if you are not protected by a firewall, and someone knows the user name and password of any member of the Administrators, Backup Operators, or Server Operators groups, that person has the same access to your computer as an administrator.

To keep your drives secure, you can:

Use complex passwords for all accounts

Many people leave the password for the Administrator account blank, which leaves the computer vulnerable to security breaches because any user can log on to the computer as the Administrator using a blank password. For more information about password security, see Creating strong passwords.

On computers that are running Windows XP Professional, you can rename the Administrator account by using Local Users and Groups. For more information about how to do this, see Local Users and Groups.

Uninstall File and Printer Sharing for Microsoft Networks

The File and Printer Sharing for Microsoft Networks option appears when you view the properties of any connection in Network Connections. Click Uninstall to remove this component; clearing the File and Printer Sharing for Microsoft Networks check box will not work. For more information, see File and Printer Sharing for Microsoft Networks.


Managing Shared Folders from the command line

In addition to Shared Folders and Windows Explorer, you can use the following command-line utilities to manage shared resources:

Name | Description
net file | View and control resources that are shared on the network. The Server service must be running to use this command.
net config server | View the maximum number of users who can access a shared resource and the maximum open files per session.
net use | Connect a computer to or disconnect a computer from a shared resource.
net share | Create, delete, manage, and display shared resources.

For information about other command-line utilities, see Command-line reference. For more information about manageability, see Management and Administration.


Troubleshooting

What problem are you having?

Cannot access shared resources

Cause: The Windows Firewall is enabled.

Solution: If the Windows Firewall is enabled, you cannot view shared resources. If you disable your firewall, your computer is vulnerable to intrusions.

See also: To enable or disable Windows Firewall

Cause: The network connection was lost.

Solution: Verify network settings.

See also: Troubleshooting network and dial-up connections

Cause: Shared resource permissions or file system permissions prevent access.

Solution: Verify that the permissions on the computer to which you are connecting allow access to network resources.

Cannot view shared resource information in Shared Folders

Cause: You are not logged on to the target computer as a member of the Administrators or Power Users group for computers that are running Windows XP Professional. Or, you are not logged on as a member of the Owners group for computers that are running Windows XP Home Edition.

Solution: Log on to the target computer with the appropriate credentials.